---
updatedAt: 2026-06-12T23:00:16.000Z
agentTools:
  projectIndex: https://developers.7shifts.com/llms.txt
---

# Retrieve Tip Pool Summary Report

**[Minimum Plan Required](https://developers.7shifts.com/docs/plan-requirements):** Entrée

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "7shifts API",
    "contact": {
      "email": "api-support@7shifts.com"
    },
    "version": "2026-06-01"
  },
  "servers": [
    {
      "url": "https://api.7shifts.com",
      "description": "Production server"
    }
  ],
  "paths": {
    "/v2/company/{company_id}/locations/{location_id}/tip_pool_summary_report": {
      "get": {
        "tags": [
          "Tip Pool"
        ],
        "summary": "Retrieve Tip Pool Summary Report",
        "operationId": "retrieveTipPoolSummaryReport",
        "x-public-api": true,
        "parameters": [
          {
            "name": "x-api-version",
            "in": "header",
            "description": "7shifts API version",
            "required": false,
            "schema": {
              "type": "string",
              "pattern": "^\\d{4}-\\d{2}-\\d{2}$",
              "description": "An API version",
              "example": "2022-05-01"
            }
          },
          {
            "name": "x-company-guid",
            "in": "header",
            "description": "Company GUID",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "example": "1310bfe1-cb3f-4f24-98a2-fde2bc504108"
          },
          {
            "name": "company_id",
            "in": "path",
            "description": "Company ID",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "example": 1234
          },
          {
            "name": "location_id",
            "description": "Location ID",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "tip_pool_uuid",
            "in": "query",
            "description": "The tip pool UUID, when omitted the report will return all tip pools",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "day_part_uuid",
            "in": "query",
            "description": "Daypart UUID, when omitted the report will return all dayparts",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "start_date",
            "in": "query",
            "description": "The start date in YYYY-MM-DD format",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": "^(19|20|21)[0-9]{2}-(0[1-9]|1[0-2])-(3[01]|[12][0-9]|0[1-9])$"
            },
            "example": "2020-12-25"
          },
          {
            "name": "end_date",
            "in": "query",
            "description": "The end date in YYYY-MM-DD format",
            "required": true,
            "schema": {
              "type": "string",
              "pattern": "^(19|20|21)[0-9]{2}-(0[1-9]|1[0-2])-(3[01]|[12][0-9]|0[1-9])$"
            },
            "example": "2020-12-25"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "enum": [
                        "tip_pool_summary_report"
                      ]
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "tip_pool_uuid": {
                            "description": "The tip pool UUID",
                            "type": "string",
                            "format": "uuid"
                          },
                          "tip_pool_name": {
                            "description": "The tip pool name",
                            "type": "string"
                          },
                          "unassigned_tips": {
                            "type": "object",
                            "properties": {
                              "hours_worked": {
                                "description": "The amount of hours worked",
                                "type": "number"
                              },
                              "tip_in": {
                                "description": "Tip in amount (in cents)",
                                "type": "integer"
                              }
                            },
                            "allOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "net_sales": {
                                    "description": "The net sales (in cents)",
                                    "type": "integer"
                                  },
                                  "cc_tips": {
                                    "description": "Tips from credit card (in cents)",
                                    "type": "integer"
                                  },
                                  "cc_tips_withheld": {
                                    "description": "Tips from credit card withheld (in cents)",
                                    "type": "integer"
                                  },
                                  "auto_grat_tips": {
                                    "description": "Auto gratuity tips (in cents)",
                                    "type": "integer"
                                  },
                                  "cash_tips": {
                                    "description": "Tips in cash (in cents)",
                                    "type": "integer"
                                  },
                                  "declared_tips": {
                                    "description": "Declared tips (in cents)",
                                    "type": "integer"
                                  }
                                }
                              }
                            ],
                            "required": [
                              "hours_worked",
                              "tip_in"
                            ]
                          },
                          "assigned_tips": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "employee_id": {
                                  "description": "Employee ID",
                                  "type": "string",
                                  "nullable": true,
                                  "example": 220974
                                },
                                "user_id": {
                                  "description": "User ID",
                                  "type": "integer",
                                  "nullable": true
                                },
                                "first_name": {
                                  "description": "The Employee first name",
                                  "type": "string"
                                },
                                "last_name": {
                                  "description": "The Employee last name",
                                  "type": "string"
                                },
                                "hours_worked": {
                                  "description": "The amount of hours worked",
                                  "type": "number",
                                  "example": 40
                                },
                                "tip_in": {
                                  "description": "Tip in amount (in cents)",
                                  "type": "integer",
                                  "example": 1050
                                },
                                "tip_out": {
                                  "description": "Tip out amount (in cents)",
                                  "type": "integer",
                                  "example": 1025
                                }
                              },
                              "allOf": [
                                {
                                  "type": "object",
                                  "properties": {
                                    "net_sales": {
                                      "description": "The net sales (in cents)",
                                      "type": "integer"
                                    },
                                    "cc_tips": {
                                      "description": "Tips from credit card (in cents)",
                                      "type": "integer"
                                    },
                                    "cc_tips_withheld": {
                                      "description": "Tips from credit card withheld (in cents)",
                                      "type": "integer"
                                    },
                                    "auto_grat_tips": {
                                      "description": "Auto gratuity tips (in cents)",
                                      "type": "integer"
                                    },
                                    "cash_tips": {
                                      "description": "Tips in cash (in cents)",
                                      "type": "integer"
                                    },
                                    "declared_tips": {
                                      "description": "Declared tips (in cents)",
                                      "type": "integer"
                                    }
                                  }
                                }
                              ],
                              "required": [
                                "employee_id",
                                "user_id",
                                "first_name",
                                "last_name",
                                "hours_worked",
                                "tip_in",
                                "tip_out"
                              ]
                            }
                          },
                          "total": {
                            "type": "object",
                            "properties": {
                              "hours_worked": {
                                "description": "The amount of hours worked",
                                "type": "number",
                                "example": 40
                              },
                              "tip_in": {
                                "description": "Tip in amount (in cents)",
                                "type": "integer",
                                "example": 1050
                              },
                              "tip_out": {
                                "description": "Tip out amount (in cents)",
                                "type": "integer",
                                "example": 1025
                              }
                            },
                            "required": [
                              "hours_worked",
                              "tip_in",
                              "tip_out"
                            ]
                          }
                        },
                        "required": [
                          "tip_pool_uuid",
                          "tip_pool_name",
                          "unassigned_tips",
                          "assigned_tips",
                          "total"
                        ]
                      }
                    }
                  },
                  "required": [
                    "object",
                    "data"
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "400": {
                    "summary": "An example of a 400 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Bad Request error message",
                      "status": 400,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 400,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "401": {
                    "summary": "An example of a 401 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Unauthorized error message",
                      "status": 401,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 401,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "403": {
                    "summary": "An example of a 403 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Forbidden error message",
                      "status": 403,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 403,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "404": {
                    "summary": "An example of a 404 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a No found error message",
                      "status": 404,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 404,
                      "param": "param"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Server Error",
            "content": {
              "application/problem+json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "description": "The primary identifier for the problem type (URI reference)."
                    },
                    "title": {
                      "type": "string",
                      "description": "A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization."
                    },
                    "status": {
                      "type": "integer",
                      "description": "The HTTP status code."
                    },
                    "detail": {
                      "type": "string",
                      "description": "A human-readable explanation specific to this occurrence of the problem."
                    },
                    "code": {
                      "type": "integer",
                      "description": "The error code can be used to look up the reason why the request failed."
                    },
                    "param": {
                      "type": "string",
                      "description": "The request parameter that this error is related to."
                    }
                  },
                  "required": [
                    "type",
                    "title",
                    "status",
                    "detail"
                  ]
                },
                "examples": {
                  "500": {
                    "summary": "An example of a 500 response",
                    "value": {
                      "type": "basic",
                      "title": "This is a Server error message",
                      "status": 500,
                      "detail": "A human-readable explanation specific to this occurrence of the problem.",
                      "code": 500,
                      "param": "param"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "OAuth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "password": {
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          },
          "authorizationCode": {
            "authorizationUrl": "https://app.7shifts.com/oauth2/authorize",
            "tokenUrl": "https://app.7shifts.com/oauth2/token",
            "refreshUrl": "https://app.7shifts.com/oauth2/token",
            "scopes": {
              "v1_access": "Required to access APIv1 endpoints."
            }
          }
        }
      },
      "cookieAuth": {
        "type": "apiKey",
        "in": "cookie",
        "name": "7session"
      }
    }
  },
  "security": [
    {
      "OAuth2": []
    },
    {
      "cookieAuth": []
    }
  ],
  "tags": [
    {
      "name": "Tip Pool"
    }
  ]
}
```